%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	yum-metadata-parser

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	A fast metadata parser for yum
Name:		python%{PVER}-%{original_name}
Version:	1.1.4
Release:	1
License:	GNU/GPLv2
Group:		Development/Libraries
URL:		http://linux.duke.edu/projects/yum/
Source0:	http://linux.duke.edu/projects/yum/download/%{original_name}/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	glib2-devel
Buildrequires:	libxml2-devel
BuildRequires:	libxml2-python%{PVER}
BuildRequires:	sqlite-devel
BuildRequires:	pkgconfig

Provides:	%{original_name} = %{version}-%{release}
Obsoletes:	%{original_name} <= %{version}-%{release}
Obsoletes:	python25-yum-meta-data-parser <= %{version}-%{release}

%description
Fast metadata parser for yum implemented in C.

%prep
%setup -q -n %{original_name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%{python_sitelib}/_sqlitecache.so
%{python_sitelib}/sqlitecachec.py
%{python_sitelib}/sqlitecachec.pyc

%changelog
* Sun Apr 10 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sun Nov 08 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.2-3
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.2-2
- rebuild against python25-2.5.4-3
* Fri Sep 26 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.2-1
- Initial release
